﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WCS.Model;
using WCS.Model.ApiModel.MXL4;
using WCS.Model.ApiModel.SingleLight;
using WCS.Model.WebSocketModel;

namespace WCS.BLL.Services.IService
{
    /// <summary>
    /// 处理、查询报警使用的服务
    /// </summary>
    public interface IMXL4Service
    {
        public Task<ResponseCommon<object>> sysOrderMXL4(SysOrderMXL4Request request);

        public Task<ResponseCommon> refreshInventoryRequest(RefreshInventoryRequest request);

        #region 调试用的APi
        public Task<ResponseCommon> reSetAll();
        public Task<ResponseCommon> defaultDisplay();
        #endregion
    }
}
