﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WCS.Model;
using WCS.Model.ApiModel.SingleLight;
using WCS.Model.WebSocketModel;

namespace WCS.BLL.Services.IService
{
    /// <summary>
    /// 处理、查询报警使用的服务
    /// </summary>
    public interface ISingleLightService
    {
        public Task<ResponseCommon<object>> SingleLightControl(SingleLightControlRequest request);
        /// <summary>
        /// 按区域一键灭灯
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        public Task<ResponseCommon<object>> TurnoffLightByArea(TurnoffLightByAreaRequest request);
    }
}
